@inproceedings{alshuqayran:recovery,
    author    = {Alshuqayran, Nuha and Ali, Nour and Evans, Roger},
    booktitle = {2018 IEEE International Conference on Software Architecture (ICSA)},
    title     = {Towards Micro Service Architecture Recovery: An Empirical Study},
    year      = {2018},
    volume    = {},
    number    = {},
    pages     = {47-4709},
    doi       = {10.1109/ICSA.2018.00014}
}

@inproceedings{antonioli:gamifying_security,
    author    = {Antonioli, Daniele and Ghaeini, Hamid Reza and Adepu, Sridhar and Ochoa, Martin and Tippenhauer, Nils Ole},
    title     = {Gamifying ICS Security Training and Research: Design, Implementation, and Results of S3},
    year      = {2017},
    isbn      = {9781450353946},
    publisher = {Association for Computing Machinery},
    address   = {New York, NY, USA},
    url       = {https://doi.org/10.1145/3140241.3140253},
    doi       = {10.1145/3140241.3140253},
    booktitle = {Proceedings of the 2017 Workshop on Cyber-Physical Systems Security and PrivaCy},
    pages     = {93–102},
    numpages  = {10},
    keywords  = {training, ics security, gamification, education, capture-the-flag},
    location  = {Dallas, Texas, USA},
    series    = {CPS '17}
}

@inproceedings{atighetchi:requirement_analysis,
    author    = {Atighetchi, Michael and Simidchieva, Borislava and Olejnik, Katarzyna},
    booktitle = {2019 IEEE 19th International Conference on Software Quality, Reliability and Security Companion (QRS-C)},
    title     = {Security Requirements Analysis – A Vision for an Automated Toolchain},
    year      = {2019},
    volume    = {},
    number    = {},
    pages     = {97-104},
    doi       = {10.1109/QRS-C.2019.00031}
}

@booklet{ausiello:linguaggi,
    author = {Ausiello, Giorgio and {D'Amore}, Fabrizio and Gambosi, Giorgio},
    title  = {Linguaggi, modelli, complessità},
    year   = {2002},
    isbn   = {88-464-4470-1},
}


@article{bertero:log_nlp,
    author    = {Bertero, Christophe and Roy, Matthieu and Sauvanaud, Carla and Tredan, Gilles},
    booktitle = {2017 IEEE 28th International Symposium on Software Reliability Engineering (ISSRE)},
    title     = {Experience Report: Log Mining Using Natural Language Processing and Application to Anomaly Detection},
    year      = {2017},
    volume    = {},
    number    = {},
    pages     = {351-360},
    doi       = {10.1109/ISSRE.2017.43}
}

@article{carter:preliminary_methodology,
    author         = {Carter, Bryan and Adams, Stephen and Bakirtzis, Georgios and Sherburne, Tim and Beling, Peter and Horowitz, Barry and Fleming, Cody},
    title          = {A Preliminary Design-Phase Security Methodology for Cyber–Physical Systems},
    journal        = {Systems},
    volume         = {7},
    year           = {2019},
    number         = {2},
    article-number = {21},
    url            = {https://www.mdpi.com/2079-8954/7/2/21},
    issn           = {2079-8954},
    doi            = {10.3390/systems7020021}
}

@inproceedings{cinque:advanced_monitoring,
    author    = {Cinque, Marcello and Della Corte, Raffaele and Pecchia, Antonio},
    booktitle = {2019 IEEE International Symposium on Software Reliability Engineering Workshops (ISSREW)},
    title     = {Advancing Monitoring in Microservices Systems},
    year      = {2019},
    volume    = {},
    number    = {},
    pages     = {122-123},
    doi       = {10.1109/ISSREW.2019.00060}
}

@article{cinque:microservices_monitoring,
    author  = {Cinque, Marcello and Della Corte, Raffaele and Pecchia, Antonio},
    journal = {IEEE Transactions on Services Computing},
    title   = {Microservices Monitoring with Event Logs and Black Box Execution Tracing},
    year    = {2019},
    volume  = {},
    number  = {},
    pages   = {1-1},
    doi     = {10.1109/TSC.2019.2940009}
}

%@online{cisco:threat_intelligence,
%  url        = {https://www.cisco.com/c/en/us/products/security/what-is-cyber-threat-intelligence.html#~key-components},
%  title      = {What Is Cyber Threat Intelligence?},
%  author     = {Cisco},
%  lastaccess = {2021}
%}

@article{coelho:security,
    title    = {Security in Microservices Architectures},
    journal  = {Procedia Computer Science},
    volume   = {181},
    pages    = {1225-1236},
    year     = {2021},
    issn     = {1877-0509},
    doi      = {https://doi.org/10.1016/j.procs.2021.01.320},
    url      = {https://www.sciencedirect.com/science/article/pii/S1877050921003719},
    author   = {Mateus-Coelho, Nuno and Cruz-Cunha, Manuela and Ferreira,Luis Gonzaga},
    keywords = {microservices, security, REST, API, web service, monolithic, architecture, hackers}
}

@article{crabtree:gamified_operations,
    title   = {Cyber Red/Blue and Gamified Military Cyberspace Operations},
    journal = {Lincoln Laboratory Journal},
    volume  = {23},
    number  = {1},
    pages   = {45-56},
    year    = {2019},
    url     = {https://www.ll.mit.edu/sites/default/files/publication/doc/2019-05/23_5_Crabtree_Cyber%20Red%20Blue%20Gamified%20Military_2019_122434.pdf},
    author  = {Crabtree, Nancy and Orr, Joshua}
}

@book{diogenes:cybersecurity_attack_defense,
    author    = {Diogenes, Yuri and Ozkaya, Erdal},
    editor    = {Boricha, Vijin and Patil, Namrata and Noronha, Amrita and Hanchate, Sneha and Editing, Safis},
    title     = {Cybersecurity Attack and Defense Strategies},
    publisher = {Packt},
    year      = {2018}
}

@techreport{dowlin:cryptonets,
    author = {Dowlin, Nathan and Gilad-Bachrach, Ran and Laine, Kim and Lauter, Kristin and Naehrig, Michael and Wernsing, John},
    title = {CryptoNets: Applying Neural Networks to Encrypted Data with High Throughput and Accuracy},
    year = {2016},
    month = {February},
    publisher = {Microsoft Research},
    url = {https://www.microsoft.com/en-us/research/publication/cryptonets-applying-neural-networks-to-encrypted-data-with-high-throughput-and-accuracy/},
    number = {MSR-TR-2016-3}
}

@thesis{fielding:tesi,
    title       = {Architectural Styles and the Design of Network-based Software Architectures},
    author      = {Fileding, Roy Thomas},
    year        = {2000},
    institution = {University of California, Irvine}
}

@thesis{galanti:tesi,
    title       = {Analisi dei vettori di attacco alle architetture a Microservizi e definizione di strategie di contrasto per i Blue Team},
    author      = {Galanti, Federico},
    year        = {2019},
    institution = {Alma Mater Studiorum - Università di Bologna}
}

@online{gdpr:art33,
    url    = {https://gdpr-info.eu/art-33-gdpr/},
    title  = {Art. 33 GDPR Notification of a personal data breach to the supervisory authority},
    author = {{Parlamento europeo}},
    year   = {2016}
}

@online{gdpr:art34,
    url    = {https://gdpr-info.eu/art-34-gdpr/},
    title  = {Art. 34 GDPR Communication of a personal data breach to the data subject},
    author = {{Parlamento europeo}},
    year   = {2016}
}

@online{gellman:nsa_google,
    url    = {https://www.washingtonpost.com/world/national-security/nsa-infiltrates-links-to-yahoo-google-data-centers-worldwide-snowden-documents-say/2013/10/30/e51d661e-4166-11e3-8b74-d89d714ca4dd_story.html},
    title  = {NSA infiltrates links to Yahoo, Google data centers worldwide, Snowden documents say},
    author = {Gellman, Barton},
    year   = {2013}
}

@inproceedings{gomi:continuous_authentication,
    author    = {Gomi, Hidehito and Yamaguchi, Shuji and Tsubouchi, Kota and Sasaya, Naomi},
    booktitle = {2018 17th IEEE International Conference On Trust, Security And Privacy In Computing And Communications/ 12th IEEE International Conference On Big Data Science And Engineering (TrustCom/BigDataSE)},
    title     = {Continuous Authentication System Using Online Activities},
    year      = {2018},
    volume    = {},
    number    = {},
    pages     = {522-532},
    doi       = {10.1109/TrustCom/BigDataSE.2018.00080}
}

@article{hardy:confused_deputy,
    author     = {Hardy, Norm},
    title      = {The Confused Deputy: (Or Why Capabilities Might Have Been Invented)},
    year       = {1988},
    issue_date = {Oct. 1988},
    publisher  = {Association for Computing Machinery},
    address    = {New York, NY, USA},
    volume     = {22},
    number     = {4},
    issn       = {0163-5980},
    url        = {https://doi.org/10.1145/54289.871709},
    doi        = {10.1145/54289.871709},
    journal    = {SIGOPS Oper. Syst. Rev.},
    month      = {10},
    pages      = {36–38},
    numpages   = {3}
}


@online{ibm:tls,
    url    = {https://www.ibm.com/docs/en/ibm-mq/9.1?topic=tls-how-provides-identification-authentication-confidentiality-integrity},
    title  = {How TLS provides identification, authentication, confidentiality, and integrity},
    author = {IBM},
    year   = {2021}
}

@misc{dod:rfc760,
    series       = {Request for Comments},
    number       = 760,
    howpublished = {RFC 760},
    publisher    = {RFC Editor},
    doi          = {10.17487/RFC0760},
    url          = {https://rfc-editor.org/rfc/rfc760.txt},
    author       = {Postel, Jon},
    title        = {{DoD standard Internet Protocol}},
    pagetotal    = 46,
    year         = 1980,
    month        = jan,
}

@INPROCEEDINGS{granchelli:recovery,
  author={Granchelli, Giona and Cardarelli, Mario and Di Francesco, Paolo and Malavolta, Ivano and Iovino, Ludovico and Di Salle, Amleto},
  booktitle={2017 IEEE International Conference on Software Architecture Workshops (ICSAW)},
  title={MicroART: A Software Architecture Recovery Tool for Maintaining Microservice-Based Systems},
  year={2017},
  volume={},
  number={},
  pages={298-302},
  doi={10.1109/ICSAW.2017.9}
}

@misc{ietf:rfc4347,
    series       = {Request for Comments},
    number       = 4347,
    howpublished = {RFC 4347},
    publisher    = {RFC Editor},
    doi          = {10.17487/RFC4347},
    url          = {https://rfc-editor.org/rfc/rfc4347.txt},
    author       = {Rescorla, Eric and Modadugu, Nagendra},
    title        = {{Datagram Transport Layer Security}},
    pagetotal    = 25,
    year         = 2006,
    month        = apr
}

@misc{ietf:rfc8446,
    series       = {Request for Comments},
    number       = 8446,
    howpublished = {RFC 8446},
    publisher    = {RFC Editor},
    doi          = {10.17487/RFC8446},
    url          = {https://rfc-editor.org/rfc/rfc8446.txt},
    author       = {Rescorla, Eric},
    title        = {{The Transport Layer Security (TLS) Protocol Version 1.3}},
    pagetotal    = 160,
    year         = 2018,
    month        = aug
}

@techreport{ietf:robustness_harmful,
    number      = {draft-iab-protocol-maintenance-04},
    type        = {Internet-Draft},
    institution = {Internet Engineering Task Force},
    publisher   = {Internet Engineering Task Force},
    note        = {Work in Progress},
    url         = {https://datatracker.ietf.org/doc/html/draft-iab-protocol-maintenance-04},
    author      = {Martin Thomson},
    title       = {The Harmful Consequences of the Robustness Principle},
    pagetotal   = 12,
    year        = 2019,
    month       = nov,
    day         = 3,
}


@inproceedings{jiang:intelligent_monitoring,
    author    = {Jiang, Ying and Zhang, Na and Ren, Zheng},
    booktitle = {2020 International Conference on Intelligent Transportation, Big Data   Smart City (ICITBS)},
    title     = {Research on Intelligent Monitoring Scheme for Microservice Application Systems},
    year      = {2020},
    volume    = {},
    number    = {},
    pages     = {791-794},
    doi       = {10.1109/ICITBS49701.2020.00173}
}

@article{jin:anomaly_detection,
    author  = {Jin, Mingxu and Lv, Aoran and Zhu, Yuanpeng and Wen, Zijiang and Zhong, Yubin and Zhao, Zexin and Wu, Jiang and Li, Hejie and He, HanHeng and Chen, Fengyi},
    journal = {IEEE Access},
    title   = {An Anomaly Detection Algorithm for Microservice Architecture Based on Robust Principal Component Analysis},
    year    = {2020},
    volume  = {8},
    number  = {},
    pages   = {226397-226408},
    doi     = {10.1109/ACCESS.2020.3044610}
}

@inproceedings{jones:system_aware_security,
    author    = {Jones, Rick and Horowitz, Barry},
    booktitle = {2011 Eighth International Conference on Information Technology: New Generations},
    title     = {System-Aware Cyber Security},
    year      = {2011},
    volume    = {},
    number    = {},
    pages     = {914-917},
    doi       = {10.1109/ITNG.2011.158}
}

@article{jones:system_aware_security_architecture,
    author   = {Jones, Rick and Horowitz, Barry},
    title    = {A System-Aware Cyber Security architecture},
    journal  = {Systems Engineering},
    volume   = {15},
    number   = {2},
    pages    = {225-240},
    keywords = {adaptive security, configuration hopping, cyber security, data integrity, evidence based, forensics, goal structuring notation, GSN, moving target, structured argument, System-Aware},
    doi      = {https://doi.org/10.1002/sys.21206},
    url      = {https://onlinelibrary.wiley.com/doi/abs/10.1002/sys.21206},
    year     = {2012}
}

@online{kaspersky:threat_intelligence,
    url        = {https://www.kaspersky.it/resource-center/definitions/threat-intelligence},
    title      = {Definizione di Threat Intelligence. Perché la Threat Intelligence è importante per la tua azienda e come scegliere un programma di Threat Intelligence},
    author     = {Kaspersky},
    lastaccess = {2021}
}

@Article{keim:cti,
    author  = {Keim, Yansi and Mohapatra, A. K.},
    title   = {Cyber threat intelligence framework using advanced malware forensics},
    journal = {International Journal of Information Technology},
    year    = {2019},
    month   = {Feb},
    day     = {04},
    issn    = {2511-2112},
    doi     = {10.1007/s41870-019-00280-3},
    url     = {https://doi.org/10.1007/s41870-019-00280-3}
}

@article{leuprecht:castle_model,
    title    = {Beyond the Castle Model of cyber-risk and cyber-security},
    journal  = {Government Information Quarterly},
    volume   = {33},
    number   = {2},
    pages    = {250-257},
    year     = {2016},
    issn     = {0740-624X},
    doi      = {https://doi.org/10.1016/j.giq.2016.01.012},
    url      = {https://www.sciencedirect.com/science/article/pii/S0740624X16300120},
    author   = {Leuprecht, Christian and Skillicorn, David B. and Tait, Victoria E.},
}

@inproceedings{liu:unsupervised_detection,
    author    = {Liu, Ping and Xu, Haowen and Ouyang, Qianyu and Jiao, Rui and Chen, Zhekang and Zhang, Shenglin and Yang, Jiahai and Mo, Linlin and Zeng, Jice and Xue, Wenman and Pei, Dan},
    booktitle = {2020 IEEE 31st International Symposium on Software Reliability Engineering (ISSRE)},
    title     = {Unsupervised Detection of Microservice Trace Anomalies through Service-Level Deep Bayesian Networks},
    year      = {2020},
    volume    = {},
    number    = {},
    pages     = {48-58},
    keywords  = {Training;Companies;Software;Bayes methods;Software reliability;Time factors;Anomaly detection;trace;anomaly detection;microservice},
    doi       = {10.1109/ISSRE5003.2020.00014},
    issn      = {2332-6549},
    month     = {10}
}

@inproceedings{mavroeidis:threat_intelligence,
    author    = {Mavroeidis, Vasileios and Bromander, Siri},
    booktitle = {2017 European Intelligence and Security Informatics Conference (EISIC)},
    title     = {Cyber Threat Intelligence Model: An Evaluation of Taxonomies, Sharing Standards, and Ontologies within Cyber Threat Intelligence},
    year      = {2017},
    volume    = {},
    number    = {},
    pages     = {91-98},
    doi       = {10.1109/EISIC.2017.20}
}

@inproceedings{mczara:dependencies,
    author    = {McZara, Jason and Kafle, Subash and Shin, Daniel},
    booktitle = {2020 IEEE International Conference on Smart Cloud (SmartCloud)},
    title     = {Modeling and Analysis of Dependencies between Microservices in DevSecOps},
    year      = {2020},
    volume    = {},
    number    = {},
    pages     = {140-147},
    doi       = {10.1109/SmartCloud49737.2020.00034}
}

@inproceedings{mepham:dynamic_cir,
    author    = {Mepham, Kevin and Louvieris, Panos and Ghinea, Gheorghita and Clewley, Natalie},
    booktitle = {2014 6th International Conference On Cyber Conflict (CyCon 2014)},
    title     = {Dynamic cyber-incident response},
    year      = {2014},
    volume    = {},
    number    = {},
    pages     = {121-136},
    doi       = {10.1109/CYCON.2014.6916399}
}

@online{microsoft:api_gateway,
    url    = {https://docs.microsoft.com/en-us/dotnet/architecture/microservices/architect-microservice-container-applications/direct-client-to-microservice-communication-versus-the-api-gateway-pattern},
    title  = {The API gateway pattern versus the Direct client-to-microservice communication},
    author = {Microsoft},
    year   = {2021}
}

@inproceedings{nehme:fine_grained_access_control,
    author    = {Nehme, Antonio and Jesus, Vitor and Mahbub, Khaled and Abdallah, Ali},
    editor    = {Zincir-Heywood, Nur and Bonfante, Guillaume and Debbabi, Mourad and Garcia-Alfaro, Joaquin},
    title     = {Fine-Grained Access Control for Microservices},
    booktitle = {Foundations and Practice of Security},
    year      = {2019},
    publisher = {Springer International Publishing},
    address   = {Cham},
    pages     = {285--300},
    isbn      = {978-3-030-18419-3}
}


@online{nginx:design,
    url    = {https://www.nginx.com/resources/library/designing-deploying-microservices/},
    title  = {Microservices, from design to deployment},
    author = {Richardson, Chris and Smith, Floyd},
    year   = {2015}
}

@online{nist:recovery,
    url    = {https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-184.pdf},
    title  = {Guide for Cybersecurity Event Recovery},
    author = {Bartock, Michael and Cichonski, Jeffrey and Souppaya, Murugiah and Smith, Matthew and Witte, Greg and Scarfone, Karen},
    year   = {2016},
    doi    = {https://doi.org/10.6028/NIST.SP.800-184}
}

@inproceedings{nunes:deepnet,
    author    = {Nunes, Eric and Diab, Ahmad and Gunn, Andrew and Marin, Ericsson and Mishra, Vineet and Paliath, Vivin and Robertson, John and Shakarian, Jana and Thart, Amanda and Shakarian, Paulo},
    booktitle = {2016 IEEE Conference on Intelligence and Security Informatics (ISI)},
    title     = {Darknet and deepnet mining for proactive cybersecurity threat intelligence},
    year      = {2016},
    volume    = {},
    number    = {},
    pages     = {7-12},
    doi       = {10.1109/ISI.2016.7745435}
}

@inproceedings{osman:threat_intelligence_microservices,
    author    = {Osman, Amr and Bruckner, Pascal and Salah, Hani and Fitzek, Frank H. P. and Strufe, Thorsten and Fischer, Mathias},
    booktitle = {ICC 2019 - 2019 IEEE International Conference on Communications (ICC)},
    title     = {Sandnet: Towards High Quality of Deception in Container-Based Microservice Architectures},
    year      = {2019},
    volume    = {},
    number    = {},
    pages     = {1-7},
    doi       = {10.1109/ICC.2019.8761171}
}

@ARTICLE{pardon:bac_theo,
  author={Pardon, Guy and Pautasso, Cesare and Zimmermann, Olaf},
  journal={IEEE Cloud Computing},
  title={Consistent Disaster Recovery for Microservices: the BAC Theorem},
  year={2018},
  volume={5},
  number={1},
  pages={49-59},
  doi={10.1109/MCC.2018.011791714}
}

@inproceedings{pereira:security_mapping,
    author    = {Pereira-Vale, Anelis and Márquez, Gaston and Astudillo, Hernàn and Fernandez, Eduardo B.},
    booktitle = {2019 XLV Latin American Computing Conference (CLEI)},
    title     = {Security Mechanisms Used in Microservices-Based Systems: A Systematic Mapping},
    year      = {2019},
    volume    = {},
    number    = {},
    pages     = {01-10},
    doi       = {10.1109/CLEI47609.2019.235060}
}


@book{richardson:patterns,
    author    = {Richardson, Chris},
    editor    = {Michaels, Marina and Mennerich, Christian and Dragosavljevic, Aleksandar and Weidert, Lori and Collins, Corbin},
    title     = {Microservices patterns},
    publisher = {Manning Publication Co},
    year      = {2019},
    isbn      = {9781617294549}
}

@article{rivest:homomorphism_encryption,
    author = {Rivest, R L and Adleman, L and Dertouzos, M L},
    journal = {Foundations of Secure Computation, Academia Press},
    pages = {169-179},
    title = {On Data Banks and Privacy Homomorphisms},
    year = 1978
}



@inproceedings{samir:anomaly_detection,
    author    = {Samir,Areeg and Pahl, Claus},
    booktitle = {2019 7th International Conference on Future Internet of Things and Cloud (FiCloud)},
    title     = {DLA: Detecting and Localizing Anomalies in Containerized Microservice Architectures Using Markov Models},
    year      = {2019},
    volume    = {},
    number    = {},
    pages     = {205-213},
    doi       = {10.1109/FiCloud.2019.00036}
}

@inproceedings{saravi:cost,
    author    = {Saravi, Mohammad and Newnes, Linda and Mileham, Antony Roy and Goh, Yee Mey},
    editor    = {Curran, Richard and Chou, Shuo-Yan and Trappey, Amy},
    title     = {Estimating Cost at the Conceptual Design Stage to Optimize Design in terms of Performance and Cost},
    booktitle = {Collaborative Product and Service Life Cycle Management for a Sustainable World},
    year      = {2008},
    publisher = {Springer London},
    address   = {London},
    pages     = {123--130},
    isbn      = {978-1-84800-972-1}
}

@article{sassman:halting,
    author         = {Sassman, Len and Patterson, Meredith L. and Bratus, Sergey and Shubina, Anna},
    title          = {The Halting Problems of Network Stack Insecurity},
    journal        = {Login vol 36},
    year           = {2011},
    number         = {36},
    article-number = {6}
}

@online{schneier:security_theater,
    title   = {Beyond Security Theater},
    author  = {Schneier, Bruce},
    year    = {2009},
    url     = {https://www.schneier.com/essays/archives/2009/11/beyond_security_thea.html}
}

@article{soldani:pains_gains,
    title    = {The pains and gains of microservices: A Systematic grey literature review},
    journal  = {Journal of Systems and Software},
    volume   = {146},
    pages    = {215-232},
    year     = {2018},
    issn     = {0164-1212},
    doi      = {https://doi.org/10.1016/j.jss.2018.09.082},
    url      = {https://www.sciencedirect.com/science/article/pii/S0164121218302139},
    author   = {Soldani, Jacopo and Tamburri, Damian Andrew and {Van Den Heuvel}, Willem Jan}
}

@inproceedings{sun:automated_analysis,
    author    = {Chondamrongkul, Nacha and Sun, Jing and Warren, Ian},
    booktitle = {2020 IEEE International Conference on Software Architecture Companion (ICSA-C)},
    title     = {Automated Security Analysis for Microservice Architecture},
    year      = {2020},
    volume    = {},
    number    = {},
    pages     = {79-82},
    doi       = {10.1109/ICSA-C50368.2020.00024}
}

@thesis{suomalainen:tesi,
    title       = {Defense-in-depth methods in microservices access control},
    author      = {Suomalainen, Joel},
    year        = {2019},
    institution = {Tampere University}
}

@inproceedings{tianyi:tagging,
  author    = {Wang, Tianyi and Chow, Kam Pui},
  booktitle = {2019 IEEE International Conference on Intelligence and Security Informatics (ISI)},
  title     = {Automatic Tagging of Cyber Threat Intelligence Unstructured Data using Semantics Extraction},
  year      = {2019},
  volume    = {},
  number    = {},
  pages     = {197-199},
  doi       = {10.1109/ISI.2019.8823252}
}

@article{topalovich:short_certificate,
    author    = {Topalovic, Emin  and Saeta, Brennan and Huang, Lin-Shung and Jackson, Collin and Boneh, Dan},
    title     = {Towards Short-Lived Certificates},
    publisher = {Proceedings of IEEE Oakland Web 2.0 Security and Privacy},
    year      = {2012}
}

@inproceedings{yarygina:low_level_exploitation,
    author    = {Otterstad, Christian and Yarygina, Tetiana},
    editor    = {De Paoli, Flavio and Schulte, Stefan and Broch Johnsen, Einar},
    title     = {Low-Level Exploitation Mitigation by Diverse Microservices},
    booktitle = {Service-Oriented and Cloud Computing},
    year      = {2017},
    publisher = {Springer International Publishing},
    address   = {Cham},
    pages     = {49-56},
    isbn      = {978-3-319-67262-5}
}

@inproceedings{yarygina:overcoming_security,
    author    = {Yarygina, Tetiana and Bagge, Anya Helene},
    booktitle = {2018 IEEE Symposium on Service-Oriented System Engineering (SOSE)},
    title     = {Overcoming Security Challenges in Microservice Architectures},
    year      = {2018},
    volume    = {},
    number    = {},
    pages     = {11-20},
    doi       = {10.1109/SOSE.2018.00011}
}

@inproceedings{yarygina:restful_not_secure,
    author    = {Yarygina, Tetiana},
    editor    = {Batten, Lynn and Kim, Dong Seong and Zhang, Xuyun and Li, Gang},
    title     = {RESTful Is Not Secure},
    booktitle = {Applications and Techniques in Information Security},
    year      = {2017},
    publisher = {Springer Singapore},
    address   = {Singapore},
    pages     = {141--153},
    isbn      = {978-981-10-5421-1},
    doi       = {10.1007/978-981-10-5421-1_12}
}

#####################
#       FORSE       #
#####################

inproceedings{7536373,
        author    = {Rajani, Vineet and Garg, Deepak and Rezk, Tamara},
        booktitle = {2016 IEEE 29th Computer Security Foundations Symposium (CSF)},
        title     = {On Access Control, Capabilities, Their Equivalence, and Confused Deputy Attacks},
        year      = {2016},
        volume    = {},
        number    = {},
        pages     = {150-163},
        doi       = {10.1109/CSF.2016.18}
    }


article{cinque:direct_monitoring,
        author  = {Cinque, Marcello and Cotroneo, Domenico and Corte, Raffaele Della and Pecchia, Antonio},
        journal = {IEEE Transactions on Reliability},
        title   = {Characterizing Direct Monitoring Techniques in Software Systems},
        year    = {2016},
        volume  = {65},
        number  = {4},
        pages   = {1665-1681},
        doi     = {10.1109/TR.2016.2570564}
    }
